using System;

namespace RothenburgAR.Common
{
    public class InvalidXMLException : Exception
    {
        public InvalidXMLException()
        {
        }

        public InvalidXMLException(string message)
            : base(message)
        {
        }

        public InvalidXMLException(string message, Exception inner)
            : base(message, inner)
        {
        }
    };

    public class AlreadyInitializedException : Exception
    {
        public AlreadyInitializedException()
        {
        }

        public AlreadyInitializedException(string message)
            : base(message)
        {
        }

        public AlreadyInitializedException(string message, Exception inner)
            : base(message, inner)
        {
        }
    };
}